<template>
  <BoxTextComponent
    v-if="!title.IsHidden"
    :title="title.Text"
    :content="content"
  />
</template>
<script lang="ts" setup>
import BoxTextComponent from "./components/footerComponents/BoxText.client.vue";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const content = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "menu_content_1_1"
    )
);
const title = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "footer_menu_info_1"
    )
);
</script>
<style lang="scss" scoped></style>
